<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.vessel.app.cardchoices.model.CardChoiceUIItem" />

        <variable
            name="handler"
            type="com.vessel.app.cardchoices.ui.CardChoicesAdapter.OnActionHandler" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/goal_onboarding_item_height"
        android:layout_marginVertical="@dimen/spacing_2xs"
        android:background="@android:color/transparent">

        <com.vessel.app.views.LeftCutOutView
            android:id="@+id/background"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="@dimen/spacing_large"
            app:layout_constraintTop_toTopOf="parent"
            app:realtimeDownsampleFactor="2"
            app:setBackroundRoundedColor="@{item.background()}" />

        <androidx.appcompat.widget.SwitchCompat
            android:id="@+id/checkbox"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:thumb="@drawable/ic_radio_selector"
            app:splitTrack="false"
            app:track="@null"
            android:checked="@{item.checked}"
            android:onClick="@{() -> handler.onChoiceSelectClicked(item, !item.checked)}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Filter.font_2xs"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/spacing_normal"
            android:layout_marginStart="@dimen/spacing_6xl"
            android:layout_marginVertical="@dimen/spacing_large"
            android:text="@{item.title}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="@string/body" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
